Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.jyconsole.action
Class DefaultKeyBinding

    java.lang.Object
      com.artenum.jyconsole.action.DefaultKeyBinding

public class DefaultKeyBinding
extends java.lang.Object

     Project ref           : JyConsole project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : Set the whole default key binding.
                   => UP / DOWN    : Command history
                   => CTRL + SPACE : Completion
                   => Enter        : Validation

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Field Summary
`static java.lang.String` | `COMPLETION_COMMAND`
`static java.lang.String` | `DOWN_COMMAND`
`static java.lang.String` | `ESCAPE_COMMAND`
`static java.lang.String` | `EXECUTE_COMMAND`
`static java.lang.String` | `UP_COMMAND`

Constructor Summary
`DefaultKeyBinding()`

Method Summary
`static void` | `applyDefaultMapping(JyConsole console)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXECUTE_COMMAND

    public static final java.lang.String EXECUTE_COMMAND

See Also:
  Constant Field Values

### ESCAPE_COMMAND

    public static final java.lang.String ESCAPE_COMMAND

See Also:
  Constant Field Values

### UP_COMMAND

    public static final java.lang.String UP_COMMAND

See Also:
  Constant Field Values

### DOWN_COMMAND

    public static final java.lang.String DOWN_COMMAND

See Also:
  Constant Field Values

### COMPLETION_COMMAND

    public static final java.lang.String COMPLETION_COMMAND

See Also:
  Constant Field Values

Constructor Detail

### DefaultKeyBinding

    public DefaultKeyBinding()

Method Detail

### applyDefaultMapping

    public static void applyDefaultMapping(JyConsole console)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com